## org.hibernate.loader
Class DefaultEntityAliases

    java.lang.Object
      org.hibernate.loader.DefaultEntityAliases

All Implemented Interfaces:
  EntityAliases

Direct Known Subclasses:
  ColumnEntityAliases

    public class DefaultEntityAliases

extends Object
implements EntityAliases

EntityAliases which handles the logic of selecting user provided aliases (via return-property), before using the default aliases.

Author:
  max

Constructor Summary
`DefaultEntityAliases(Loadable persister, String suffix)`
`DefaultEntityAliases(Map userProvidedAliases, Loadable persister, String suffix)` Calculate and cache select-clause aliases

Method Summary
`protected String` `getDiscriminatorAlias(Loadable persister, String suffix)`
`protected String[]` `getIdentifierAliases(Loadable persister, String suffix)`
`protected String[]` `getPropertyAliases(Loadable persister, int j)`
`String` `getRowIdAlias()` The result set column alias for the Oracle row id
`String` `getSuffixedDiscriminatorAlias()` The result set column aliases for the discriminator columns
`String[]` `getSuffixedKeyAliases()` The result set column aliases for the primary key columns
`String[][]` `getSuffixedPropertyAliases()` The result set column aliases for the property columns
`String[][]` `getSuffixedPropertyAliases(Loadable persister)` The result set column aliases for the property columns of a subclass
`String[]` `getSuffixedVersionAliases()` The result set column aliases for the version columns

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEntityAliases

    public DefaultEntityAliases(Map userProvidedAliases,
                                Loadable persister,
                                String suffix)

  Calculate and cache select-clause aliases

  Parameters:
    `userProvidedAliases` - The explicit aliases provided in a result-set mapping.
    `persister` - The persister for which we are generating select aliases
    `suffix` - The calculated suffix.

### DefaultEntityAliases

    public DefaultEntityAliases(Loadable persister,
                                String suffix)

Method Detail

### getDiscriminatorAlias

    protected String getDiscriminatorAlias(Loadable persister,
                                           String suffix)

### getIdentifierAliases

    protected String[] getIdentifierAliases(Loadable persister,
                                            String suffix)

### getPropertyAliases

    protected String[] getPropertyAliases(Loadable persister,
                                          int j)

### getSuffixedPropertyAliases

    public String[][] getSuffixedPropertyAliases(Loadable persister)

  The result set column aliases for the property columns of a subclass

  Specified by:
    `getSuffixedPropertyAliases` in interface `EntityAliases`

### getSuffixedVersionAliases

    public String[] getSuffixedVersionAliases()

  The result set column aliases for the version columns

  Specified by:
    `getSuffixedVersionAliases` in interface `EntityAliases`

### getSuffixedPropertyAliases

    public String[][] getSuffixedPropertyAliases()

  The result set column aliases for the property columns

  Specified by:
    `getSuffixedPropertyAliases` in interface `EntityAliases`

### getSuffixedDiscriminatorAlias

    public String getSuffixedDiscriminatorAlias()

  The result set column aliases for the discriminator columns

  Specified by:
    `getSuffixedDiscriminatorAlias` in interface `EntityAliases`

### getSuffixedKeyAliases

    public String[] getSuffixedKeyAliases()

  The result set column aliases for the primary key columns

  Specified by:
    `getSuffixedKeyAliases` in interface `EntityAliases`

### getRowIdAlias

    public String getRowIdAlias()

  The result set column alias for the Oracle row id

  Specified by:
    `getRowIdAlias` in interface `EntityAliases`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.